Subject: G92 optim with ECP and F functions

From: <[email-masked]>
Date: Thu, 29 Feb 1996 10:11:43 +0100

Hello,

I had troubles with trying to optimize a geometry
with g92 (RevE.2).
I'm trying to optimize a geometry at the HF level
using the Berny algorithm.
A RECP describe the core electrons of the metal and it contains
G,S-G,P-G,D-G,F-G components.
The basis set associated with this RECP is a [3s,3p,2d,2f]
GTF basis set.
I've no troubles to perform single point calculations but the
optimization lead to the following error message :

------
RHF calculation of E
------
 Compute integral first derivatives.
 ... and contract with generalized density number  0.
 Use density number 0.
 RysSet:  KIntrp=     2534   KCalc=        0   KAssym=     2170
 L702 exits ... SP integral derivatives will be done elsewhere.
 Compute integral first derivatives.
 Integral derivatives from FoFDir, PRISM(SPDF).
 MinBra= 0 MaxBra= 3 MinLOS=-1 MaxLOS=-1 MinRaf= 0 MaxRaf= 3 MinLRy= 4.
 IRaf=       0 NMat=   1 IRICut=       1 DoRegI=T DoRafI=F ISym2E=1 JSym2E=1.
 Fock matrices symmetrized in FoFDir.
 Use density number 0.
 MaxL=3 MaxP=3 NDeriv=1 MaxT=77
 L709 cannot do derivatives in this basis.
 Error termination in Lnk1e.

------

The error is arrising from the l709 link
I've looked at the code and it cames from the ECPGRD Subroutine
wich compute the derivatives of one electron integrals over effective
core potentials.
I looked at the manual and found nothing...
I've tried other tests and my believe is that it is not possible to
have F function describing the valence electrons of the metal
if you have a ECP (or RECP) for the core and if you intend to
optimize a geometry.
So my question is :
Does anybody know such limitations with g92 and ECP ?
More what are the limits in term of component (S,P,D,F)
of a basis set for an atom ?.
Does anybody know if this problem could be avoided with
g94 ?.
So any help or comment would be appreciated.
I will sumarize for the list.

Thanks.

HUTSCHKA Francois
Laboratory of Quantum Chemistry
Universite Louis Pasteur
STRASBOURG
FRANCE.
E-Mail : [email-masked]